# Created by pyp2rpm-3.3.2
%define pypi_name typed_ast
%define module typed-ast

Name:           python-%{module}
Version:        1.5.2
Release:        %mkrel 2
Summary:        A fork of the ast module with type annotations
Group:          Development/Python
License:        Apache License 2.0
URL:            https://github.com/python/typed_ast
Source:         %{pypi_source}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
A fork of the ast module with type annotations. This package is based on
the ast modules from Python 2 and 3, and has been extended with support
for type comments and type annotations as supported in Python 3.6.

%package -n     python3-%{module}
Summary:        A fork of the ast module with type annotations
Group:          Development/Python
Provides:       python3-typed_ast = %{version}-%{release}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
A fork of the ast module with type annotations. This package is based on
the ast modules from Python 2 and 3, and has been extended with support
for type comments and type annotations as supported in Python 3.6.


%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%license LICENSE
%{python3_sitearch}/*


%changelog
* Sat Mar 19 2022 umeabot <umeabot> 1.5.2-2.mga9
+ Revision: 1799217
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 mrambo3501 <mrambo3501> 1.5.2-1.mga9
+ Revision: 1781446
- version 1.5.2
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 1.4.2-2.mga9
+ Revision: 1707564
- rebuild for python 3.9

* Thu Jan 07 2021 daviddavid <daviddavid> 1.4.2-1.mga8
+ Revision: 1669481
- new version: 1.4.2
- new version: 1.4.1
+ wally <wally>
- rebuild for python3.8
- provide typed-ast and typed_ast
+ kekepower <kekepower>
- Add Conflicts python3-typed_ast < 1.3.1-2
- Update to version 1.4.0

* Fri Apr 05 2019 shlomif <shlomif> 1.3.1-1.mga7
+ Revision: 1386127
- New version 1.3.1

* Sat Jan 05 2019 wally <wally> 1.1.0-2.mga7
+ Revision: 1349767
- provide python3-typed_ast
- rebuild for python3.7

* Thu Oct 18 2018 shlomif <shlomif> 1.1.0-1.mga7
+ Revision: 1321960
- fix build
- pyp2rpm

